package com.ruoyi.demo.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.Store;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.actuate.endpoint.web.Link;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
public class StoreBo{
    private String storeId;
    private String storeName;
    private String addrInfo;
    private String addrCode;
    private String addrCodeInfo;
    private String principalName;
    private String principalTelephone;

    private Integer count;
    private BigDecimal lat;
    private BigDecimal lng;
    private String point;
    List<Equipment> equipmentList;

    public StoreBo(Store store) {
        this.storeId = store.getStoreId();
        this.storeName = store.getStoreName();
        this.addrInfo = store.getAddrInfo();
        this.addrCode = store.getAddrCode();
        this.addrCodeInfo = store.getAddrCodeInfo();
        this.principalName = store.getPrincipalName();
        this.principalTelephone = store.getPrincipalTelephone();
        this.lat = store.getLat();
        this.lng = store.getLng();
        this.point = store.getPoint();
    }
}
